Commit 85c364bc authored by Boudewijn Rempt's avatar Boudewijn Rempt

Make our level of C++ explicit

We use C++11 at the moment.
parent c0993bf6
......@@ -5,6 +5,9 @@ message(STATUS "Using CMake version: ${CMAKE_VERSION}")
cmake_minimum_required(VERSION 3.0.0 FATAL_ERROR)
set(MIN_QT_VERSION 5.9.0)
set( CMAKE_CXX_STANDARD 11 )
set( CMAKE_CXX_STANDARD_REQUIRED ON )
set(MIN_FRAMEWORKS_VERSION 5.44.0)
......@@ -744,14 +747,6 @@ if(HAVE_VC)
endif()
endif()
#Handle Vc master
if(Vc_COMPILER_IS_GCC OR Vc_COMPILER_IS_CLANG)
AddCompilerFlag("-std=c++11" _ok)
if(NOT _ok)
AddCompilerFlag("-std=c++0x" _ok)
endif()
endif()
macro(ko_compile_for_all_implementations_no_scalar _objs _src)
vc_compile_for_all_implementations(${_objs} ${_src} FLAGS ${ADDITIONAL_VC_FLAGS} ONLY SSE2 SSSE3 SSE4_1 AVX AVX2+FMA+BMI2)
endmacro()
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment